# Generated by Django 4.1.6 on 2023-04-05 11:17

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0046_mainhomepage_instagram_usernames_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="mainhomepage",
            name="instagram_usernames",
        ),
        migrations.AddField(
            model_name="mainhomepage",
            name="instagram_access",
            field=wagtail.fields.StreamField(
                [
                    (
                        "instagram_access",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "username",
                                    wagtail.blocks.CharBlock(label="Uživatelské jméno"),
                                ),
                                (
                                    "access_token",
                                    wagtail.blocks.CharBlock(
                                        help_text="TODO", label="Přístupový token"
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Uživatelská jména a přístupové tokeny pro synchronizované Instagram účty",
            ),
        ),
    ]
